<h1 mat-dialog-title>Confirm</h1>
<hr>
<div mat-dialog-content>
  <form [formGroup]="form" class="example-form" (ngSubmit)="onSubmit()">
    <section class="example-section">
      <mat-form-field fxFlex="70">
        <mat-label>Kode RM</mat-label>
        <input matInput name="Kd_RM" placeholder="Kode RM" formControlName="Kd_RM">
      </mat-form-field>
    </section>
    <br><br>

    <section class="example-section">
      <mat-label>Upload File</mat-label>
      <button mat-button color="warn" (click)="onClick()" type="button">
        <mat-icon>file_upload</mat-icon>
        {{text}}
      </button>
      <br />
      <input type="file" id="fileUpload" name="fileUpload" multiple="multiple" accept="{{accept}}" style="display:none;" />
    </section>

    <div class="p-8" *ngIf="uploadProgress > 1">
      <div *ngIf="uploadProgress < 100">
        <div class="h4 text-sm">uploading data</div>
        <mat-progress-bar mode="determinate" [value]="uploadProgress"></mat-progress-bar>
      </div>
      <div *ngIf="uploadProgress == 100">
        <div class="h4 text-sm">upload success</div>
      </div>
    </div>

    <br><br>

    <section class="example-section">
      <mat-form-field fxFlex="70">
        <mat-label>Nama Arsip</mat-label>
        <input matInput name="Nama_Arsip" placeholder="Nama Arsip" formControlName="Nama_Arsip">
      </mat-form-field>
    </section>
    <br><br>

    <section class="example-section">
      <mat-form-field fxFlex="70">
        <mat-label>Jenis Arsip</mat-label>
        <mat-select formControlName="Jns_arsip">
          <mat-option *ngFor="let p of pilih" [value]="p.value">
            {{p.viewValue}}
          </mat-option>
        </mat-select>
      </mat-form-field>
    </section>
    <br><br>

    <span>pilih tanggal</span><br><br>
    <!-- <section class="example-section" >
      <mat-checkbox class="example-margin" formControlName="cekTgl1"  class="pr-4">Singgle Date</mat-checkbox>
      <mat-checkbox class="example-margin" formControlName="cekTgl2"  class="pl-4">Multi Date</mat-checkbox>
    </section>
    <br> -->

    <mat-radio-group aria-label="Select an option" formControlName="cekTgl">
      <mat-radio-button value="1">Singgle Date</mat-radio-button>
      <!-- <mat-radio-button value="2">Multi Date</mat-radio-button> -->
      <mat-radio-button value="2">Periode Date</mat-radio-button>
    </mat-radio-group><br><br>
    

    <section class="example-section" *ngIf="checktglvalue == 1">
      <mat-form-field fxFlex="70" >
        <mat-label>Tanggal RM</mat-label>
        <input matInput [matDatepicker]="picker" formControlName="Tgl">
        <mat-datepicker-toggle matSuffix [for]="picker"></mat-datepicker-toggle>
        <mat-datepicker #picker></mat-datepicker>
      </mat-form-field>
    </section>
    <br>

    <section class="example-section" *ngIf="checktglvalue == 2">
      <mat-form-field fxFlex="40">
        <mat-label>Tanggal Awal</mat-label>
        <input matInput [matDatepicker]="picker" formControlName="Tglawal">
        <mat-datepicker-toggle matSuffix [for]="picker"></mat-datepicker-toggle>
        <mat-datepicker #picker></mat-datepicker>
      </mat-form-field>
    </section>
      <div *ngIf="checktglvalue == 2"><h3>s/d</h3></div>
      <section class="example-section" *ngIf="checktglvalue == 2">
      <mat-form-field fxFlex="40">
        <mat-label>Tanggal Akhir</mat-label>
        <input matInput [matDatepicker]="picker" formControlName="Tglakhir">
        <mat-datepicker-toggle matSuffix [for]="picker"></mat-datepicker-toggle>
        <mat-datepicker #picker></mat-datepicker>
      </mat-form-field>
    </section>
    <br>

  </form>
  <hr>
</div>
<div mat-dialog-actions>
  <button mat-button (click)="onClose()">Cancel</button>
  <button mat-button (click)="onSubmit()" type="submit">Simpan</button>
</div>